> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute address transfer quote



## OpenAPI

````yaml /api-reference/openapi.json post /v1/addresses/{addressId}/transfer/estimate-gas
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Development server
security: []
tags: []
paths:
  /v1/addresses/{addressId}/transfer/estimate-gas:
    post:
      tags:
        - Transfer
      summary: Execute address transfer quote
      operationId: executeAddressQuoteTransfer
      parameters:
        - name: addressId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - assets
              properties:
                assets:
                  type: array
                  items:
                    type: object
                    required:
                      - assetId
                      - recipient
                      - amount
                    properties:
                      assetId:
                        type: string
                        description: ID of the asset to transfer
                        example: 69d851b9-c358-4359-becd-3e614ca1ab4d
                      recipient:
                        type: string
                        description: Recipient wallet address
                        example: '0x742d35Cc6634C0532925a3b844Bc9e7595f0b5b5'
                      amount:
                        type: string
                        description: Amount to transfer in decimal format (e.g., "0.001")
                        example: '0.001'
      responses:
        '200':
          description: Gas fee estimation successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      assets:
                        type: array
                        items:
                          type: object
                          properties:
                            amount:
                              type: string
                            asset:
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: Asset unique identifier
                                  example: 69d851b9-c358-4359-becd-3e614ca1ab4d
                                name:
                                  type: string
                                  description: Asset name
                                  example: Euro Coin
                                symbol:
                                  type: string
                                  description: Asset symbol
                                  example: EURC
                                decimals:
                                  type: integer
                                  description: Number of decimals
                                  example: 6
                                address:
                                  type: string
                                  nullable: true
                                  description: Contract address (null for native assets)
                                  example: '0x08210F9170F89Ab7658F0B5E3fF39b0E03C594D4'
                                standard:
                                  type: string
                                  description: Token standard
                                  example: ERC20
                                logoUrl:
                                  type: string
                                  description: URL to token logo
                                  example: https://example.com/eurc-logo.png
                                isActive:
                                  type: boolean
                                  description: Whether the asset is active
                                  example: true
                                network:
                                  type: string
                                  description: Network type
                                  enum:
                                    - mainnet
                                    - testnet
                                  example: mainnet
                                isNative:
                                  type: boolean
                                  description: >-
                                    Whether this is the native asset of the
                                    blockchain
                                  example: false
                                configurations:
                                  type: object
                                  nullable: true
                                  description: Additional configuration data
                                  example: null
                                blockchain:
                                  description: Associated blockchain (simplified)
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                      format: uuid
                                    name:
                                      type: string
                                    slug:
                                      type: string
                                    symbol:
                                      type: string
                                    isActive:
                                      type: boolean
                                    isEvmCompatible:
                                      type: boolean
                                    chainId:
                                      type: integer
                                    logoUrl:
                                      type: string
                                    tokenStandard:
                                      type: string
                                    createdAt:
                                      type: string
                                      format: date-time
                                    updatedAt:
                                      type: string
                                      format: date-time
                                blockchainId:
                                  type: string
                                  format: uuid
                                  description: Blockchain ID reference
                                  example: 8a864e95-4b86-423d-9ba4-f4e692ec121e
                                createdAt:
                                  type: string
                                  format: date-time
                                  description: Creation timestamp
                                  example: '2026-02-26T15:10:53.032Z'
                                updatedAt:
                                  type: string
                                  format: date-time
                                  description: Last update timestamp
                                  example: '2026-02-26T15:10:53.032Z'
                            blockchain:
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: Blockchain unique identifier
                                  example: 8a864e95-4b86-423d-9ba4-f4e692ec121e
                                name:
                                  type: string
                                  description: Blockchain name
                                  example: Base
                                slug:
                                  type: string
                                  description: Blockchain slug
                                  example: base-mainnet
                                symbol:
                                  type: string
                                  description: Blockchain symbol
                                  example: ETH
                                isActive:
                                  type: boolean
                                  description: Whether the blockchain is active
                                  example: true
                                isEvmCompatible:
                                  type: boolean
                                  description: Whether the blockchain is EVM compatible
                                  example: true
                                configurations:
                                  type: object
                                  nullable: true
                                  description: Additional configuration data
                                  example: null
                                chainId:
                                  type: integer
                                  description: Chain ID for EVM chains
                                  example: 8453
                                logoUrl:
                                  type: string
                                  description: URL to blockchain logo
                                  example: https://example.com/base-logo.png
                                tokenStandard:
                                  type: string
                                  description: Token standard
                                  example: ERC20
                                createdAt:
                                  type: string
                                  format: date-time
                                  description: Creation timestamp
                                  example: '2023-04-28T14:44:06.397Z'
                                updatedAt:
                                  type: string
                                  format: date-time
                                  description: Last update timestamp
                                  example: '2024-11-26T15:26:18.785Z'
                            destinationAddress:
                              type: string
                      estimatedFee:
                        type: object
                        properties:
                          amount:
                            type: string
                            description: Estimated amount in token units
                          value:
                            type: string
                            description: Estimated USD value
                          callGasLimit:
                            type: string
                            description: callGasLimit fee in native token
                          verificationGasLimi:
                            type: string
                            description: verificationGasLimi price in wei
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````